package assignments.clients.PIService;

import assignments.stubs.PIService.service.PIServiceGridLocator;
import assignments.stubs.PIService.PIPortType;

import java.net.URL;

public class Client
{
	public static void main(String[] args)
	{
		try
		{
			// Get command-line arguments
			URL GSH = new java.net.URL(args[0]);
			int a = Integer.parseInt(args[1]);

			// Get a reference to the MathService instance
			PIServiceGridLocator piServiceLocator = new PIServiceGridLocator();
			PIPortType pi = piServiceLocator.getPIServicePort(GSH);

			
			pi.calcPI(a);
			System.out.println("Calculating Pi to " + a + " decimal places");

			
			System.out.println("Pi is: " + pi.getPI());
		}
		catch(Exception e)
		{
			System.out.println("ERROR!");
			e.printStackTrace();
		}
	}
}
