package assignments.services.PIService.impl;

import org.globus.ogsa.impl.ogsi.GridServiceImpl;
import assignments.stubs.PIService.PIPortType;
import java.rmi.RemoteException;

public class PIImpl extends GridServiceImpl implements PIPortType
{
	private String value;

	public PIImpl()
	{
		super("Simple PIService");
		value = new String("");
	}

	public void calcPI(int digits) throws RemoteException
	{
		StringBuffer pi = new StringBuffer(digits + 2);
		pi.append("3");
		if (digits > 0)
		{
			pi.append(".");
			for (int i = 0; i < digits; i += 9 )
			{
				int nineDigits = NineDigitsOfPi.StartingAt(i+1);
      				int digitCount = Math.min(digits - i, 9);
				String ds = Integer.toString(nineDigits);
				pi.append(ds);
				      
    			}
 		}
		value = pi.toString();
	}

	public String getPI() throws RemoteException
	{
		return value;
	}
}
