package assignments.clients.HelloWorldService;

import assignments.stubs.HelloWorldService.service.HelloWorldServiceGridLocator;
import assignments.stubs.HelloWorldService.HelloWorldPortType;

import java.net.URL;

public class Client
{
     public static void main(String[] args)
     {
          try
          {
               // Get command-line argument(s).
               URL GSH = new java.net.URL(args[0]);

               // Get a reference to the MathService instance.
               HelloWorldServiceGridLocator serviceLocator = new HelloWorldServiceGridLocator();
               HelloWorldPortType pt = serviceLocator.getHelloWorldServicePort(GSH);

               // Say Howdy.          
               System.out.println(pt.sayHello());
           }
           catch (Exception e)
           {
                System.out.println("ERROR!");
                e.printStackTrace();
           }
     }
}
